Subject: Re: [apps-discuss] [IANA #810446] Last Call: <draft-ietf-appsawg-uri-scheme-reg-04.txt> (Guidelines and Registration Procedures for URI Schemes) to Best Current Practice

From: Dave Thaler <[email-masked]>
Date: Wed, 11 Mar 2015 18:15:54 +0000

Pearl Liang  writes:
> IANA has reviewed draft-ietf-appsawg-uri-scheme-reg-04.  Authors should
> review the comments and/or questions below.  Please report any inaccuracies
> and respond to any questions as soon as possible.
> 
> We received the following comments/questions from the IANA's reviewer:
> 
> We have questions about some of the IANA actions requested by this draft.
> 
> IANA understands that, upon approval of this document, there are four actions
> which IANA must complete.

Your summary looks correct.  Responses to questions below.

[...]
> Second, this draft updates the registration procedures for the Uniform Resource
> Identifier (URI) Schemes registry to the following:
> 
> "Permanent URI Schemes": (No change)
> Expert Review
> 
> "Provisional URI Schemes":
> OLD:
> Expert Review
> 
> NEW:
>  First Come First Served
> 
> "Historical URI Schemes":
> Expert Review ???
> 
> Question: What is the policy to designated a schema as historical?  Expert
> Review?

This is answered in Section 7.1 of the draft, where the first paragraph states:

   The IANA policy (using terms defined in [RFC5226]) for Provisional
   registration was formerly Expert Review and is now changed to simply
   use a First Come First Served policy.  The policy for Permanent and
   Historic registration continues to be Expert Review.

The last sentence quoted above is the answer to your question.

> What if someone requests to mark a FCFS Provisional schema, how should IANA
> process the request?

By "mark", do you mean adding a note in the Notes column?  If so, Section 9 says:

   o  Combine the "Permanent URI Schemes", "Provisional URI Schemes",
      and "Historical URI Schemes" sub-registries into a single common
      registry with an additional "Status" column containing the status
      (Permanent, Provisional, Historical, or Pending Review), and an
      additional "Notes" column which is normally empty, but may contain
      notes approved by the Designated Expert.

So the answer from the last quoted sentence is that any note has to be approved
by the Designated Expert (regardless of the status of the entry).

Dave

---

From: Dave Thaler <[email-masked]>
Date: Wed, 11 Mar 2015 18:15:54 +0000

[...]

Dave

---

From: Barry Leiba <[email-masked]>
Date: Wed, 11 Mar 2015 14:44:17 -0400

> by the Designated Expert (regardless of the status of the entry).

No, by "mark" I think Pearl means changing the value of the Status
column from Provisional to Historical: does that change require expert
review?  Clearly, changing from Provisional to Permanent would, and,
on the surface, a change from Provisional to Historical is the same
(moving from an FCFS status to an Expert Review status).  Is that what
you want?

Barry

---

From: Barry Leiba <[email-masked]>
Date: Wed, 11 Mar 2015 14:44:17 -0400

Barry

---

From: Dave Thaler <[email-masked]>
Date: Wed, 11 Mar 2015 19:05:44 +0000

Barry Leiba writes: 
> >> What if someone requests to mark a FCFS Provisional schema, how
> >> should IANA process the request?
> >
> > So the answer from the last quoted sentence is that any note has to be
> > approved by the Designated Expert (regardless of the status of the entry).
> 
> No, by "mark" I think Pearl means changing the value of the Status column from
> Provisional to Historical: does that change require expert review?  Clearly,
> changing from Provisional to Permanent would, and, on the surface, a change
> from Provisional to Historical is the same (moving from an FCFS status to an
> Expert Review status).  Is that what you want?

That is the current answer that by default (since it's not a change from before)
has WG (and presumably IETF) consensus because it did before.   However I
don't think the WG explicitly discussed whether the answer to that question
should change from current practice.

Dave

---

From: Dave Thaler <[email-masked]>
Date: Wed, 11 Mar 2015 19:05:44 +0000

Dave

---

From: Tony Hansen <[email-masked]>
Date: Wed, 11 Mar 2015 15:44:32 -0400

I think Pearl should be asked to clarify her question. I read her 
question differently from either of you.

     Tony

---

From: Tony Hansen <[email-masked]>
Date: Wed, 11 Mar 2015 15:44:32 -0400

Tony

---

From: "Pearl Liang via RT" <[email-masked]>
Date: Wed, 11 Mar 2015 17:21:05 +0000

(BEGIN IANA LAST CALL COMMENTS)

IESG/Authors/WG Chairs:

IANA has reviewed draft-ietf-appsawg-uri-scheme-reg-04.  Authors should review the comments and/or questions below.  Please report any inaccuracies and respond to any questions as soon as possible.

IANA understands that, upon approval of this document, there are four actions which IANA must complete.

First, in the Uniform Resource Identifier (URI) Schemes registry located at:

http://www.iana.org/assignments/uri-schemes/

the reference for the entire registry is to be changed from RFC4395 to [ RFC-to-be ].

NEW:
 First Come First Served 

Question: What is the policy to designated a schema as historical?  Expert Review?
What if someone requests to mark a FCFS Provisional schema, how should
IANA process the request?

Third, also in the Uniform Resource Identifier (URI) Schemes registry located at:

http://www.iana.org/assignments/uri-schemes/

the "Permanent URI Schemes", "Provisional URI Schemes", and "Historical URI Schemes" sub-registries into a single common registry.

Fourth, also in the Uniform Resource Identifier (URI) Schemes registry located at:

http://www.iana.org/assignments/uri-schemes/ the new, merged registry created in step three above is to have the following change: two new columns are to be added to the registry. First, an additional "Status" column containing the status (Permanent, Provisional, Historical, or Pending Review), and second an additional "Notes" column which is normally empty, but may contain notes approved by the Designated Expert.

Fifth, also in the Uniform Resource Identifier (URI) Schemes registry located at:

http://www.iana.org/assignments/uri-schemes/

in the new, merged registry created in step two above a new URI scheme is to be registered as follows:

URI Scheme: example
Template: [ as in section 8.1 of the current document ]
Description: Example
Status: permanent
Notes: 
Reference: [ RFC-to-be ]

Comment/Question: As this document requests a registration in an Expert Review (see RFC 5226) registry, we will initiate the required Expert Review via a separate request. Expert review will need to be completed before your document can be approved for publication as an RFC.

IANA understands that these five actions are the only ones required to be completed upon approval of this document.

Note:  The actions requested in this document will not be completed until the document has been approved for publication as an RFC. This message is only to confirm what actions will be performed.  

Thanks,

Pearl Liang
ICANN

(END IANA LAST CALL COMMENTS)

On Thu Feb 26 20:05:50 2015, [email-masked] wrote:
> 
> The IESG has received a request from the Applications Area Working Group
> WG (appsawg) to consider the following document:
> - 'Guidelines and Registration Procedures for URI Schemes'
>   <draft-ietf-appsawg-uri-scheme-reg-04.txt> as Best Current Practice
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2015-03-12. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>    This document updates the guidelines and recommendations, as well as
>    the IANA registration processes, for the definition of Uniform
>    Resource Identifier (URI) schemes.  It obsoletes RFC 4395.
> 
> 
> 
> 
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-appsawg-uri-scheme-reg/
> 
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-appsawg-uri-scheme-reg/ballot/
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> 
>

---

From: "Pearl Liang via RT" <[email-masked]>
Date: Wed, 11 Mar 2015 17:21:05 +0000

IESG/Authors/WG Chairs:

NEW:
 First Come First Served 

URI Scheme: example

Thanks,

Pearl Liang
ICANN

---

From: "Pearl Liang via RT" <[email-masked]>
Date: Wed, 11 Mar 2015 20:25:57 +0000

Hi all,

Sorry for the confusion.  Dave has pointed out the answer is described
in section 7.1 of this draft:

So, if someone requests to mark a FCFS Provisional schema to "Historical", 
Expert Review should be used.  Thanks for clarifying this.

Regarding the new requested URI scheme, I've submitted an expert review
request to Graham.  We will inform you when we hear from him.

Thanks,
~pl

On Wed Mar 11 19:45:23 2015, [email-masked] wrote:
> >>> By "mark", do you mean adding a note in the Notes column?  If so,
> >>> Section 9
> >> says:
> >> column from

---

From: "Pearl Liang via RT" <[email-masked]>
Date: Wed, 11 Mar 2015 20:25:57 +0000

Hi all,

Thanks,
~pl